Package pygccxml :: Package parser :: Module config :: Class gccxml_configuration_t

# type gccxml_configuration_t

source code

                object --+
                         |
    parser_configuration_t --+
                             |
                            gccxml_configuration_t

Configuration object to collect parameters for invoking gccxml.

This class serves as a container for the parameters that can be used to customize the call to gccxml.

Instance Methods

__init__(self, gccxml_path=`'````'`, working_directory=`'``.``'`, include_paths=None, define_symbols=None, undefine_symbols=None, start_with_declarations=None, ignore_gccxml_output=False, cflags=`'````'`, compiler=None) Constructor. | source code

clone(self) | source code

raise_on_wrong_settings(self) validates the configuration settings and raises RuntimeError on error | source code

Properties
| gccxml_path gccxml binary location
| start_with_declarations list of declarations gccxml should start with, when it dumps declaration tree
| ignore_gccxml_output set this property to True, if you want pygccxml to ignore any error\warning that comes from gccxml
Inherited from `parser_configuration_t`: `cflags`, `compiler`, `define_symbols`, `include_paths`, `undefine_symbols`, `working_directory`

Method Details

### __init__(self, gccxml_path=`'````'`, working_directory=`'``.``'`, include_paths=None, define_symbols=None, undefine_symbols=None, start_with_declarations=None, ignore_gccxml_output=False, cflags=`'````'`, compiler=None)
(Constructor)

source code

Constructor.

Overrides: parser_configuration_t.__init__

### clone(self)

source code

Overrides: parser_configuration_t.clone

### raise_on_wrong_settings(self)

source code

validates the configuration settings and raises RuntimeError on error

Overrides: parser_configuration_t.raise_on_wrong_settings
  (inherited documentation)

Property Details

### gccxml_path

gccxml binary location

Get Method:
  __get_gccxml_path(self)
Set Method:
  __set_gccxml_path(self, new_path)

### start_with_declarations

list of declarations gccxml should start with, when it dumps declaration tree

### ignore_gccxml_output

set this property to True, if you want pygccxml to ignore any error\warning that comes from gccxml

Get Method:
  __get_ignore_gccxml_output(self)
Set Method:
  __set_ignore_gccxml_output(self, val=True)